Bug 11809 - OPAC patron details form shouldn't show 'Clear date' if field is required
Summary: OPAC patron details form shouldn't show 'Clear date' if field is required
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-21 06:59 UTC by paxed
Modified: 2015-06-04 23:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11809 - OPAC patron details form shouldn't show 'Clear date' if field is required (3.78 KB, patch)
2014-02-21 15:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed-off] Bug 11809 - OPAC patron details form shouldn't show 'Clear date' if field is required (4.06 KB, patch)
2014-02-23 19:49 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 11809 - OPAC patron details form shouldn't show 'Clear date' if field is required (4.16 KB, patch)
2014-02-23 21:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-02-21 06:59:57 UTC
In OPAC, when patron changes his personal information, the page shows a "Clear date" -link after the Date of Birth -input, even when DoB is set to required field. That link should not be shown if DoB is required.
Comment 1 Owen Leonard 2014-02-21 15:42:08 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-02-23 19:49:04 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-02-23 21:53:26 UTC
Created attachment 25563 [details] [review]
[PASSED QA] Bug 11809 - OPAC patron details form shouldn't show 'Clear date' if field is required

On the OPAC's patron details form, if the date of birth field is
required we shouldn't offer the user a "clear date." This patch removes
the "clear date" link if the field is required.

To test, configure the BorrowerMandatoryField system preference to
require dateofbirth. Enable the OPACPatronDetails system preference and
log in to the OPAC. View the "personal details" form and confirm that
there is no "clear date" link next to the required date of birth field.

Remove dateofbirth from the BorrowerMandatoryField system preference and
re-test. The "clear date" link should appear.

Test in both prog and Bootstrap themes.

I tested with prog and bootstrap themes, adding/removing field 'dateofbirth'
in sys pref PatronSelfRegistrationBorrowerMandatoryField.
Patch behaves as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as expected, passes all tests and QA script.
Comment 4 Galen Charlton 2014-02-26 17:36:32 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Fridolin SOMERS 2014-06-04 08:02:51 UTC
Pushed to 3.14.x, will be in 3.14.08
Comment 6 Kyle M Hall 2014-06-06 13:58:35 UTC
Pushed to 3.12.x will be in 3.12.13